Package picard.arrays.illumina

## Class IlluminaAdpcFileWriter.Record

- java.lang.Object
- - picard.arrays.illumina.IlluminaAdpcFileWriter.Record

- Enclosing class:
    IlluminaAdpcFileWriter

      public static class IlluminaAdpcFileWriter.Record
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Record​(int aIntensity, int bIntensity, Float aNormalizedIntensity, Float bNormalizedIntensity, float gcScore, IlluminaGenotype genotype)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `write​(DataOutputStream outputStream)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Record

          public Record​(int aIntensity,
                        int bIntensity,
                        Float aNormalizedIntensity,
                        Float bNormalizedIntensity,
                        float gcScore,
                        IlluminaGenotype genotype)

  - ### Method Detail

    - #### write

          public void write​(DataOutputStream outputStream)
                     throws IOException

      Throws:
        `IOException`